#include <ninjawin.h>

#define	_VIEW_DIRECT		(- NJD_PI / 6)
#define	_VIEW_ROT_Y			(NJD_PI * 23 / 24)

#define _CAR_ROT_STEP		0x0080

#define	_MODEL_X			0.f
#define	_MODEL_Y			(-3.f)
#define	_MODEL_Z			(-5.f)

#define _SODIUM_LIGHT		1.f, 0.625f, 0.125f
#define _FOG_LIGHT			1.f, 0.875f, 0.125f
#define _HALOGEN_LIGHT		0.75f, 0.875f, 0.875f
#define _NORMAL_LIGHT		1.f, 0.95f, 0.8f
#define _FLUORESCENT_LIGHT	0.875f, 1.f, 0.875f
#define _PURPLE_LIGHT		1.f, 0.5f, 0.375f
#define _BLUE_LIGHT			0.375f, 0.375f, 1.f
#define _GREEN_LIGHT		0.375f, 1.f, 0.375f

#define	_LIGHT_WX			1.5f
#define	_LIGHT_WY			2.f 
#define	_LIGHT_WZ			2.f
#define	_LIGHT_X			_MODEL_X
#define	_LIGHT_Y			(_MODEL_Y + _LIGHT_WY)
#define	_LIGHT_Z			_MODEL_Z
#define	_LIGHT_DELTA		0.1f

#define _BACK_COLOR			0xff000000

#define	NJD_2PI				6.2831853f
