#include <Ninja.h>



/*----------------------------------------------
 *  Background Scroll
 *----------------------------------------------
 */

/* 
 *  NJM_MAP(n,u,v)
 *  n:texture number
 *  u:texture U coordinate
 *  v:texture V coordinate
 */
Uint32 jimenmap[4][7] = {
	{NJM_MAP(0,0,0),NJM_MAP(1,0,0),NJM_MAP(2,0,0),NJM_MAP(3,0,0),  
	NJM_MAP(4,0,0),NJM_MAP(5,0,0),NJM_MAP(6,0,0)},
	{NJM_MAP(7,0,0),NJM_MAP(8,0,0),NJM_MAP(9,0,0),NJM_MAP(10,0,0),
	NJM_MAP(11,0,0),NJM_MAP(12,0,0),NJM_MAP(13,0,0)},
	{NJM_MAP(14,0,0),NJM_MAP(15,0,0),NJM_MAP(16,0,0),NJM_MAP(17,0,0),
	NJM_MAP(18,0,0),NJM_MAP(19,0,0),NJM_MAP(20,0,0)},
	{NJM_MAP(21,0,0),NJM_MAP(22,0,0),NJM_MAP(23,0,0),NJM_MAP(24,0,0),
	NJM_MAP(25,0,0),NJM_MAP(26,0,0),NJM_MAP(27,0,0)}
};

Uint32 temaemap[4][7] = {
	{NJM_MAP(0,0,0),NJM_MAP(1,0,0),NJM_MAP(2,0,0),NJM_MAP(3,0,0),  
	NJM_MAP(4,0,0),NJM_MAP(5,0,0),NJM_MAP(6,0,0)},
	{NJM_MAP(7,0,0),NJM_MAP(8,0,0),NJM_MAP(9,0,0),NJM_MAP(10,0,0),
	NJM_MAP(11,0,0),NJM_MAP(12,0,0),NJM_MAP(13,0,0)},
	{NJM_MAP(14,0,0),NJM_MAP(15,0,0),NJM_MAP(16,0,0),NJM_MAP(17,0,0),
	NJM_MAP(18,0,0),NJM_MAP(19,0,0),NJM_MAP(20,0,0)},
	{NJM_MAP(21,0,0),NJM_MAP(22,0,0),NJM_MAP(23,0,0),NJM_MAP(24,0,0),
	NJM_MAP(25,0,0),NJM_MAP(26,0,0),NJM_MAP(27,0,0)}
};



NJS_TEXNAME jimentexfile[]={
	{"usiro00.pvr",NJD_TEXATTR_GLOBALINDEX, 1000},  /* 000 */
	{"usiro01.pvr",NJD_TEXATTR_GLOBALINDEX, 1001},  /* 001 */
	{"usiro02.pvr",NJD_TEXATTR_GLOBALINDEX, 1002},  /* 002 */
	{"usiro03.pvr",NJD_TEXATTR_GLOBALINDEX, 1003},  /* 003 */
	{"usiro04.pvr",NJD_TEXATTR_GLOBALINDEX, 1004},  /* 004 */
	{"usiro05.pvr",NJD_TEXATTR_GLOBALINDEX, 1005},  /* 005 */
	{"usiro06.pvr",NJD_TEXATTR_GLOBALINDEX, 1006},  /* 006 */
	{"usiro07.pvr",NJD_TEXATTR_GLOBALINDEX, 1007},  /* 007 */
	{"usiro08.pvr",NJD_TEXATTR_GLOBALINDEX, 1008},  /* 008 */
	{"usiro09.pvr",NJD_TEXATTR_GLOBALINDEX, 1009},  /* 009 */
	{"usiro10.pvr",NJD_TEXATTR_GLOBALINDEX, 1010},  /* 010 */
	{"usiro11.pvr",NJD_TEXATTR_GLOBALINDEX, 1011},  /* 011 */
	{"usiro12.pvr",NJD_TEXATTR_GLOBALINDEX, 1012},  /* 012 */
	{"usiro13.pvr",NJD_TEXATTR_GLOBALINDEX, 1013},  /* 013 */
	{"usiro14.pvr",NJD_TEXATTR_GLOBALINDEX, 1014},  /* 014 */
	{"usiro15.pvr",NJD_TEXATTR_GLOBALINDEX, 1015},  /* 015 */
	{"usiro16.pvr",NJD_TEXATTR_GLOBALINDEX, 1016},  /* 016 */
	{"usiro17.pvr",NJD_TEXATTR_GLOBALINDEX, 1017},  /* 017 */
	{"usiro18.pvr",NJD_TEXATTR_GLOBALINDEX, 1018},  /* 018 */
	{"usiro19.pvr",NJD_TEXATTR_GLOBALINDEX, 1019},  /* 019 */
	{"usiro20.pvr",NJD_TEXATTR_GLOBALINDEX, 1020},  /* 020 */
	{"usiro21.pvr",NJD_TEXATTR_GLOBALINDEX, 1021},  /* 021 */
	{"usiro22.pvr",NJD_TEXATTR_GLOBALINDEX, 1022},  /* 022 */
	{"usiro23.pvr",NJD_TEXATTR_GLOBALINDEX, 1023},  /* 023 */
	{"usiro24.pvr",NJD_TEXATTR_GLOBALINDEX, 1024},  /* 024 */
	{"usiro25.pvr",NJD_TEXATTR_GLOBALINDEX, 1025},  /* 025 */
	{"usiro26.pvr",NJD_TEXATTR_GLOBALINDEX, 1026},  /* 026 */
	{"usiro27.pvr",NJD_TEXATTR_GLOBALINDEX, 1027},  /* 027 */
};

NJS_TEXLIST jimentexlist = {jimentexfile, 28};


NJS_TEXNAME temaetexfile[]={
	{"mae00.pvr",NJD_TEXATTR_GLOBALINDEX, 2000},  /* 000 */
	{"mae01.pvr",NJD_TEXATTR_GLOBALINDEX, 2001},  /* 001 */
	{"mae02.pvr",NJD_TEXATTR_GLOBALINDEX, 2002},  /* 002 */
	{"mae03.pvr",NJD_TEXATTR_GLOBALINDEX, 2003},  /* 003 */
	{"mae04.pvr",NJD_TEXATTR_GLOBALINDEX, 2004},  /* 004 */
	{"mae05.pvr",NJD_TEXATTR_GLOBALINDEX, 2005},  /* 005 */
	{"mae06.pvr",NJD_TEXATTR_GLOBALINDEX, 2006},  /* 006 */
	{"mae07.pvr",NJD_TEXATTR_GLOBALINDEX, 2007},  /* 007 */
	{"mae08.pvr",NJD_TEXATTR_GLOBALINDEX, 2008},  /* 008 */
	{"mae09.pvr",NJD_TEXATTR_GLOBALINDEX, 2009},  /* 009 */
	{"mae10.pvr",NJD_TEXATTR_GLOBALINDEX, 2010},  /* 010 */
	{"mae11.pvr",NJD_TEXATTR_GLOBALINDEX, 2011},  /* 011 */
	{"mae12.pvr",NJD_TEXATTR_GLOBALINDEX, 2012},  /* 012 */
	{"mae13.pvr",NJD_TEXATTR_GLOBALINDEX, 2013},  /* 013 */
	{"mae14.pvr",NJD_TEXATTR_GLOBALINDEX, 2014},  /* 014 */
	{"mae15.pvr",NJD_TEXATTR_GLOBALINDEX, 2015},  /* 015 */
	{"mae16.pvr",NJD_TEXATTR_GLOBALINDEX, 2016},  /* 016 */
	{"mae17.pvr",NJD_TEXATTR_GLOBALINDEX, 2017},  /* 017 */
	{"mae18.pvr",NJD_TEXATTR_GLOBALINDEX, 2018},  /* 018 */
	{"mae19.pvr",NJD_TEXATTR_GLOBALINDEX, 2019},  /* 019 */
	{"mae20.pvr",NJD_TEXATTR_GLOBALINDEX, 2020},  /* 020 */
	{"mae21.pvr",NJD_TEXATTR_GLOBALINDEX, 2021},  /* 021 */
	{"mae22.pvr",NJD_TEXATTR_GLOBALINDEX, 2022},  /* 022 */
	{"mae23.pvr",NJD_TEXATTR_GLOBALINDEX, 2023},  /* 023 */
	{"mae24.pvr",NJD_TEXATTR_GLOBALINDEX, 2024},  /* 024 */
	{"mae25.pvr",NJD_TEXATTR_GLOBALINDEX, 2025},  /* 025 */
	{"mae26.pvr",NJD_TEXATTR_GLOBALINDEX, 2026},  /* 026 */
	{"mae27.pvr",NJD_TEXATTR_GLOBALINDEX, 2027},  /* 027 */
};

NJS_TEXLIST temaetexlist = {temaetexfile, 28};
